HostingResponse
Successful response with one Hosting
Always 0 in a successful response
0Always null in a successful response
data objectrequired
Hosting of the account: a main hosting, bought with a purchase, or one of its subdomains
Id of the purchase of the hosting (GET /api/v3/purchases/{purchase_id}); null for a subdomain, which belongs to the purchase of its main hosting
Id of the main hosting of a subdomain (GET /api/v3/hostings/{hosting_id}); null for a main hosting
Whether it is a main hosting; false for a subdomain (POST /api/v3/hostings/{hosting_id}/subdomains)
Host name, in Unicode: the hostname of a main hosting (usually its domain), the level name of a subdomain (for example blog)
host_name in punycode
Full hostname, in Unicode: for a subdomain, the level name followed by the hostname of the main hosting
full_name in punycode
Hostname on the domain of the purchase, in Unicode: the domain for a main hosting, the subdomain of the domain for a subdomain
domain_full_name in punycode
PHP version of the hosting, for example 8.3 (PATCH /api/v3/hostings/{hosting_id}/php-version); null or empty when not set
HTTP version of the hosting: 1 for HTTP/1.1, 2 for HTTP/2 (PATCH /api/v3/hostings/{hosting_id}/http-version)
Whether the file protection is enabled (PATCH /api/v3/hostings/{hosting_id}/file-protection)
php_settings object[]required
PHP directives changed on the hosting (PATCH /api/v3/hostings/{hosting_id}/php-settings): the others have the default value of the web server
PHP directive, as in PATCH /api/v3/hostings/{hosting_id}/php-settings
Possible values: [opcache.enable, display_errors, memory_limit, post_max_size, upload_max_filesize, max_execution_time, max_input_time]
Value set on the hosting
Whether the hosting is active: always true, since deleted subdomains are not returned
Always null: only the paginated lists have a meta
null{
"error": 0,
"message": "string",
"data": {
"hosting_id": 0,
"purchase_id": 0,
"parent_hosting_id": 0,
"is_primary": true,
"host_name": "string",
"host_name_idna": "string",
"full_name": "string",
"full_name_idna": "string",
"domain_full_name": "string",
"domain_full_name_idna": "string",
"php_version": "string",
"http_version": "string",
"file_protection_enabled": true,
"php_settings": [
{
"setting": "opcache.enable",
"value": "string"
}
],
"is_active": true
}
}